aboutsummaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorCharles Kerr <charles.kerr@canonical.com>2013-03-23 10:04:13 -0500
committerCharles Kerr <charles.kerr@canonical.com>2013-03-23 10:04:13 -0500
commitca4b40ade7f432d98c21ac499a0de63244b1c3cc (patch)
tree8d76a7642ab1158f5a35230a1b1f7e3a08e59e8e /build.sh
parentd782f784d486fd726a870fb9c03e49bd6ef6877c (diff)
downloadayatana-indicator-session-ca4b40ade7f432d98c21ac499a0de63244b1c3cc.tar.gz
ayatana-indicator-session-ca4b40ade7f432d98c21ac499a0de63244b1c3cc.tar.bz2
ayatana-indicator-session-ca4b40ade7f432d98c21ac499a0de63244b1c3cc.zip
use pete woods' hud cmake code for the build.sh script to check for Ninja and to move the gdbus-codegen macros into a resuable file in the cmake/ directory.
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/build.sh b/build.sh
new file mode 100755
index 0000000..173ff8c
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,18 @@
+#! /bin/bash
+set -e
+
+mkdir -p build
+
+if [ -f "/usr/bin/ninja" ] ; then
+ EXTRA_ARGS="-G Ninja"
+ BUILD_COMMAND="ninja"
+else
+ BUILD_COMMAND="make"
+fi
+
+echo "Using $BUILD_COMMAND to build"
+(
+ cd build
+ cmake .. $EXTRA_ARGS -DCMAKE_INSTALL_PREFIX=../../install -Dlocal_install=ON
+ $BUILD_COMMAND
+)